import request from '../index'
const prefix = 'resource/customer'

export function getCustomerInfoList(data: any) {
  return request({
    url: `${prefix}/info/approval/listPage?limit=${data.limit}&offset=${data.offset}`,
    method: 'post',
    data,
  })
}

// 保存至草稿箱
export function saveCustomerBasic(data: object) {
  return request({
    url: `${prefix}/info/save`,
    method: 'post',
    data,
  })
}

// 提交流程
export function submitCustomerBasic(data: object) {
  return request({
    url: `${prefix}/info/submit`,
    method: 'post',
    data,
  })
}

// 草稿箱编辑（不走流程审批）
export function updateCustomerBasic(data: object) {
  return request({
    url: `${prefix}/info/draftUpdate`,
    method: 'post',
    data,
  })
}

// 未通过委托方编辑（重走流程审批）
export function failUpdateCustomerBasic(data: object) {
  return request({
    url: `${prefix}/info/failUpdate`,
    method: 'post',
    data,
  })
}

// 删除草稿箱 删除委托方也调用该方法
export function draftDelete(data: object) {
  return request({
    url: `${prefix}/info/draftDelete`,
    method: 'post',
    data,
  })
}

// 发起者撤回，表单状态更改为已取消
export function revokeApproval(data: object) {
  return request({
    url: `${prefix}/info/approval/revoke`,
    method: 'post',
    data,
  })
}

// 委托方名录审批-拒绝
export function refuseApproval(data: object) {
  return request({
    url: `${prefix}/info/approval/refuse`,
    method: 'post',
    data,
  })
}

// 查询委托方人员列表（分页）
export function getCustomerStaffList(data: any) {
  return request({
    url: `${prefix}/info/person/listPage?limit=${data.limit}&offset=${data.offset}`,
    method: 'post',
    data,
  })
}

// 委托方人员新增
export function addCustomerStaff(data: object) {
  return request({
    url: `${prefix}/info/person/add`,
    method: 'post',
    data,
  })
}

// 委托方人员编辑
export function updateCustomerStaff(data: object) {
  return request({
    url: `${prefix}/info/person/update`,
    method: 'post',
    data,
  })
}

// 委托方人员删除
export function deleteCustomerStaff(data: object) {
  return request({
    url: `${prefix}/info/person/delete`,
    method: 'post',
    data,
  })
}
